import bpy

translations_dict = {
    "zh_HANS": {
        ("*", "Align 2D"
        ): "对齐 2D",
        ("*", "Alignment"
        ): "对齐",
        ("*", "Reference:"
        ): "参考：",
        ("*", "Use screen space:"
        ): "使用屏幕空间：",
        ("*", "Use World Axis:"
        ): "使用世界轴向：",
        ("*", "Copy rotation:"
        ): "复制旋转：",
        ("*", "Copy scale:"
        ): "复制缩放：",
        ("*", "Along curve"
        ): "沿曲线",
        ("*", "Distribute"
        ): "分布",
        ("*", "Linear distribution"
        ): "线性分布",
        ("*", "Horizontal"
        ): "水平分布",
        ("*", "Vertical"
        ): "垂直分布",
        ("*", "Sort Order"
        ): "排序顺序",
        ("*", "Custom gap"
        ): "自定义间隙",
        ("*", "Gap:"
        ): "间隙：",
        ("*", "Circle distribution"
        ): "环形分布",
        ("*", "Align Axis:"
        ): "对齐轴向：",
        ("*", "Point to center of circle"
        ): "指向圆心",
        ("*", "Reverse"
        ): "反向",
        ("*", "Circular Arrange"
        ): "环形分布",
        ("*", "Button resting"
        ): "按钮休息中",
        ("*", "Auto Update"
        ): "自动刷新",
        ("*", "Bind to empty"
        ): "绑定到空物体",
        ("*", "Threshold for searching for the nearest point"
        ): "搜索最近点的阈值",
        ("*", "Enable alignment to the direction of the curve"
        ): "开启对齐到曲线的方向",
        ("*", "Which direction should be aligned to the direction of the curve"
        ): "哪个方向应该与曲线的方向对齐",
        ("*", "X along the normal direction of the curve"
        ): "X 沿曲线法线方向",
        ("*", "Y along the normal direction of the curve"
        ): "Y 沿曲线法线方向",
        ("*", "Z along the normal direction of the curve"
        ): "Z 沿曲线法线方向",
        ("*", "Align using extreme coordinates of internal data"
        ): "使用内部数据的极值坐标对齐",
        ("*", "MinMax"
        ): "极值",
        # ("*", "Active"
        # ): "活动项",

        # ("*", "3D Cursor"
        # ): "3D 游标",

        # ("*", "Curve"
        # ): "曲线",
        ("*", "No object selected!"
        ): "未选择物体！",
        ("*", "3D viewport not found!"
        ): "找不到 3D 视口！",
        ("*", "Select at least 2 objects!"
        ): "至少选择 2 个物体！",
        ("*", "No active object!"
        ): "未找到活动物体！",
        ("*", "Active object must be a Curve!"
        ): "活动物体必须为曲线！",
        ("*", "Increasing the resolutionU of the curve can improve the search accuracy!"
        ): "提高曲线的分辨率U可以提高搜索精度！",
        ("*", "The gap between objects"
        ): "物体之间的间隙",
        ("*", "Enable or disable custom gap for distribution"
        ): "启用或禁用分布的自定义间隙",
        ("*", "Calculate based on the left and up order on the screen"
        ): "根据屏幕上的左右上下顺序计算",
        ("*", "Left To Right"
        ): "左到右",
        ("*", "Right To Left"
        ): "右到左",
        ("*", "Top To Bottom"
        ): "上到下",
        ("*", "Bottom To Top"
        ): "下到上",
        ("*", "Distribution using extreme coordinates of objects"
        ): "使用对象的极值坐标进行分布",
        ("*", "HORIZONTAL"
        ): "水平分布",
        ("*", "VERTICAL"
        ): "垂直分布",
        ("*", "Please select at least 3 objects!"
        ): "请至少选择 3 个物体！",
        ("*", "Radius of the circle"
        ): "圆的半径",
        ("*", "Angle range of the circle"
        ): "圆的角度范围",
        ("*", "Align X axis to center"
        ): "将 X 轴与中心对齐",
        ("*", "Align Y axis to center"
        ): "将 Y 轴与中心对齐",
        ("*", "Align Z axis to center"
        ): "将 Z 轴与中心对齐",
        ("*", "Axis to align towards the center"
        ): "轴向朝向中心对齐",
        ("*", "Automatically update arrangement when properties change"
        ): "属性更改时自动更新排列",
        ("*", "The object points towards the center of the circle"
        ): "物体指向圆的中心",
        ("*", "Reverse alignment axis"
        ): "反向对齐轴",
        ("*", "Bind to Empty"
        ): "绑定到空物体",
        ("*", "Arrange in Circle"
        ): "按圆圈排列分布",
        ("*", "Select at least 2 objects!"
        ): "至少选择 2 个物体！",
        ("*", "Angle Range"
        ): "角度范围",
        ("*", "Custom Tab Category:"
        ): "自定义标签分类：",
        ("*", "Choose a name for the category of the panel"
        ): "为面板的分类选择一个名称",
        ("*", "Tab Category"
        ): "标签页分类",
        ("*", "Align to View"
        ): "对齐到视图",
        ("*", "Align selected objects to the current view plane"
        ): "将选定的物体与当前视图平面对齐",
        ("*", "Align Reference"
        ): "对齐参考",
        ("*", "Screen space alignment"
        ): "屏幕空间对齐",
        ("*", "Rotate and Scale Alignment"
        ): "旋转和缩放对齐",
        ("*", "Align using data from active objects"
        ): "使用活动物体中的数据进行对齐",
        ("*", "An active object must be selected!"
        ): "必须选择活动物体！",
        ("*", "The order in which objects are sorted"
        ): "物体排序时的顺序",
        ("*", "Create an empty object and select the object as a subset of the empty objects"
        ): "创建一个空物体并把选择物体作为空物体的子集",
        ("*", "Distribute the selected objects in a circular pattern at the cursor"
        ): "把选中的物体在游标处环形分布",
        ("*", "Use mesh boundary"
        ): "使用网格边界",
    },
}

    